Page MenuHomePhabricator

Sort out the best method of spinning up multiple toolforge kubernetes masters
Closed, ResolvedPublic

Description

This is just to track the experiments instead of doing them all quietly, and to note what doesn't work. So far, we've been testing deploys with kubeadm, and we need to make sure that there is a path there for an HA cluster.

Details

Related Gerrit Patches:

Event Timeline

Bstorm triaged this task as High priority.Feb 7 2019, 4:32 PM
Bstorm created this task.

First step is the load balancer to act as endpoint.

Change 490201 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] toolforge-k8s: set up an haproxy load balancer for HA api servers

https://gerrit.wikimedia.org/r/490201

Change 490201 merged by Bstorm:
[operations/puppet@production] toolforge-k8s: set up an haproxy load balancer for HA api servers

https://gerrit.wikimedia.org/r/490201

GTirloni removed a subscriber: GTirloni.Mar 21 2019, 9:06 PM
aborrero closed this task as Resolved.Jul 4 2019, 3:41 PM
aborrero claimed this task.
aborrero added a subscriber: aborrero.

After all the work done in T215531: Deploy upgraded Kubernetes to toolsbeta, it seems clear that kubeadm is the way to go for the multi master setup.

Closing task now, feel free to reopen if required.